#!/usr/bin/perl
# read output of TSV of listInstanceClasses.rq
use strict; 

print "CONSTRUCT {
  ?class rdfs:subClassOf ?superclass ; 
         rdfs:label ?className .
  ?superclass rdfs:label ?superclassName . 
  }
WHERE {
?instance wdt:P31 ?class .
  VALUES ?instance {
";

while(<>) {
if (!(/\?class/)) {  # if it's not the input header line
    print;
}
}
print "  }
?class rdfs:label ?className .
  ?class wdt:P279+ ?superclass . 
  ?superclass rdfs:label ?superclassName . 
  FILTER ( lang(?className) = 'en' )
  FILTER ( lang(?superclassName) = 'en' )
}
";
