#!/usr/bin/perl
use strict; 
# See "lang(" for how to control language of retrieved labels. 

# Two long variables that get defined before main body starts. 
my $queryHeader ;
my $queryFooter ; 

my $curlQuery = "";

$queryHeader =  "PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#> 

CONSTRUCT { ?s rdfs:label ?o }
WHERE {
VALUES ?s {";

$queryFooter = "}
  ?s rdfs:label ?o . 
  FILTER (lang(?o) = 'en' )
  # English + something else, follow this pattern: 
  # FILTER (lang(?o) = 'en' || lang(?o) = 'ko')

}
";

#### main body #####

print $queryHeader;

while(<>) {
    if (!(/\?o/)) {  # if it's not the input header line
        print;
    }
}
print $queryFooter;

